#include <stdio.h>
#include <math.h>

double f(double x){
   return x*x-9;
}
   
/** biseccion: Retorna el valor de la funcion usando metodo de biseccion
    parametros: a= valor menor al punto
    parametros: b= valor mayor al punto
    parametros: tolerancia = margen de error
	parametros: max_iteraciones= maximo numero de iteraciones permitido
  */
double biseccion(double a, double b, double tolerancia,int max_iteraciones){
	double m;
	int contador=0;
	printf("Contador          a          b           m           f(m)\n");
	do{
		m=(a+b)/2.0;
		if(f(a)*f(m)<0){
			b=m;
		} else {
			a=m;
		}
		printf("%10d %10lf %10lf %10lf %10lf\n",contador,a,b,m,f(m));
		contador++;
	}while( (fabs(f(m)) > tolerancia) && (contador < max_iteraciones));
return m;
}

int main(){
	biseccion(0.0,10.0,.0001,1000);
   return 0;
}